com.pixelmed.dose

## Class ScopeOfDoseAccummulation

- java.lang.Object
- - com.pixelmed.dose.ScopeOfDoseAccummulation

    public class ScopeOfDoseAccummulation
    extends java.lang.Object

### Field Summary

Fields
`static ScopeOfDoseAccummulation` `IRRADIATION_EVENT`
`static ScopeOfDoseAccummulation` `PPS`
`static ScopeOfDoseAccummulation` `SERIES`
`static ScopeOfDoseAccummulation` `STUDY`

### Method Summary

Methods
`CodedSequenceItem` `getCodedSequenceItemForScopeConcept()`
`static CodedSequenceItem` `getCodedSequenceItemForScopeConcept(ScopeOfDoseAccummulation scope)`
`CodedSequenceItem` `getCodedSequenceItemForUIDConcept()`
`static CodedSequenceItem` `getCodedSequenceItemForUIDConcept(ScopeOfDoseAccummulation scope)`
`static ScopeOfDoseAccummulation` `selectFromCode(CodedSequenceItem csi)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STUDY

    public static final ScopeOfDoseAccummulation STUDY

#### SERIES

    public static final ScopeOfDoseAccummulation SERIES

#### PPS

    public static final ScopeOfDoseAccummulation PPS

#### IRRADIATION_EVENT

    public static final ScopeOfDoseAccummulation IRRADIATION_EVENT

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### selectFromCode

    public static ScopeOfDoseAccummulation selectFromCode(CodedSequenceItem csi)

#### getCodedSequenceItemForScopeConcept

    public static CodedSequenceItem getCodedSequenceItemForScopeConcept(ScopeOfDoseAccummulation scope)
                                                                 throws DicomException

Throws:
  `DicomException`

#### getCodedSequenceItemForUIDConcept

    public static CodedSequenceItem getCodedSequenceItemForUIDConcept(ScopeOfDoseAccummulation scope)
                                                               throws DicomException

Throws:
  `DicomException`

#### getCodedSequenceItemForScopeConcept

    public CodedSequenceItem getCodedSequenceItemForScopeConcept()
                                                          throws DicomException

Throws:
  `DicomException`

#### getCodedSequenceItemForUIDConcept

    public CodedSequenceItem getCodedSequenceItemForUIDConcept()
                                                        throws DicomException

Throws:
  `DicomException`